> ## Documentation Index
> Fetch the complete documentation index at: https://docs.glorycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Default Endpoints

> Check the default endpoints for the specified proxy type.



## OpenAPI

````yaml get /go-api/v1/proxy/defaultEndpoints
openapi: 3.0.1
info:
  title: GoProxy API Documentation
  description: ''
  version: 1.0.0
servers: []
security: []
tags: []
paths:
  /go-api/v1/proxy/defaultEndpoints:
    get:
      tags: []
      summary: Get Default Endpoints
      description: Check the default endpoints for the specified proxy type.
      parameters:
        - name: proxyType
          in: query
          description: >-
            The proxy type to query. 

            Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for
            Rotating Datacenter.
          required: true
          schema:
            type: integer
            title: proxyType
        - name: username
          in: query
          description: >-
            Use this parameter to limit the response to the specific sub-account
            username you want to query.
          required: false
          schema:
            type: string
            title: username
        - name: apiKey
          in: header
          description: API key used for authentication.
          required: true
          example: ''
          schema:
            type: string
            title: apiKey
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetProxyDefaultEndpointsResponseModel'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetProxyDefaultEndpointsResponseModel:
      properties:
        endpiont:
          items:
            $ref: '#/components/schemas/ProxyDefaultEndpointsResponseModel'
          type: array
          title: endpiont
      type: object
      required:
        - endpiont
      title: GetProxyDefaultEndpointsResponseModel
    ProxyDefaultEndpointsResponseModel:
      properties:
        protocol:
          type: string
          title: protocol
          description: >-
            The protocol used for the endpoint, such as **Endpoint:Port**,
            **HTTP(S)** or **SOCKS5**. Default endpoints are presented in the
            format **Endpoint:Port**.
          example: Endpoint:Port
        endpoint:
          type: string
          title: endpoint
          description: >-
            The endpoint and port used for the proxy. The username and password
            required for authentication are included as well.
          example: proxy.goproxy.com:30000:customer-testUser:testPass
        sessionType:
          type: string
          title: sessionType
          description: >-
            The type of session used by the proxy, such as **Rotating** or
            **Sticky**. Default endpoints use a **Rotating** session type.
          example: Rotating
        location:
          type: string
          title: location
          description: >-
            The geographical location of the proxy server. Default endpoints
            typically use **Random** location.
          example: Random
        username:
          type: string
          title: username
          description: >-
            The username required for generating the endpoint and authenticating
            the proxy connection.
          example: testUser
      type: object
      required:
        - endpoint
        - sessionType
        - location
        - protocol
      title: ProxyDefaultEndpointsResponseModel

````